# Next Train

Find out when the next CTA train arrives.

### Example:

      require "next_train"

      api_key = "key-here"        # Check resources below to sign up
      stpid = 90032               # Racine Blue Line towards O'Hare

      NextTrain.api_key = api_key
      NextTrain[stpid]            # => "2 minutes"

### Stops:

      STPID   STOP_NAME
      30162   18th (54th/Cermak-bound)
      30161   18th (Loop-bound)
      30022   35th/Archer (Loop-bound)
      30023   35th/Archer (Midway-bound)
      30214   35-Bronzeville-IIT (63rd-bound)
      30213   35-Bronzeville-IIT (Harlem-bound)
      30246   43rd (63rd-bound)
      30245   43rd (Harlem-bound)
      30210   47th (63rd-bound) Elevated (63rd-bound)
      30209   47th (SB) Elevated (Harlem-bound)
      30238   47th-Dan Ryan (95th-bound)
      30237   47th-Dan Ryan (Howard-bound)
      30025   51st (63rd-bound)
      30024   51st (Harlem-bound)
      30113   54th/Cermak (Loop-bound)
      30114   54th/Cermak (Terminal arrival)
      30178   63rd-Dan Ryan (95th-bound)
      30177   63rd-Dan Ryan (Howard-bound)
      30192   69th (95th-bound)
      30191   69th (Howard-bound)
      30047   79th (95th-bound)
      30046   79th (Howard-bound)
      30276   87th (95th-bound)
      30275   87th (Howard-bound)
      30089   95th/Dan Ryan (95th-bound)
      30088   95th/Dan Ryan (Howard-bound)
      30132   Adams/Wabash (Inner Loop)
      30131   Adams/Wabash (Outer Loop)
      30240   Addison (O'Hare Branch) (Forest Pk-bound)
      30239   Addison (O'Hare Branch) (O'Hare-bound)
      30277   Addison (Kimball-bound)
      30278   Addison (Loop-bound)
      30274   Addison (95th-bound)
      30273   Addison (Howard-bound)
      30230   Argyle (95th-bound)
      30229   Argyle (Howard-bound)
      30127   Armitage (Kimball-Linden-bound)
      30128   Armitage (Loop-bound)
      30205   Ashland (Loop-bound)
      30206   Ashland (Midway-bound)
      30032   Ashland (Harlem-54th/Cermak-bound)
      30033   Ashland (Loop-63rd-bound)
      30056   Ashland/63rd (Harlem-bound)
      30057   Ashland/63rd (Terminal arrival)
      30002   Austin (Forest Pk-bound)
      30001   Austin (O'Hare-bound)
      30243   Austin (63rd-bound)
      30244   Austin (Harlem-bound)
      30013   Belmont (O'Hare Branch) (Forest Pk-bound)
      30012   Belmont (O'Hare Branch) (O'Hare-bound)
      30256   Belmont (95th-bound)
      30255   Belmont (Howard-bound)
      30257   Belmont (Kimball-Linden-bound)
      30258   Belmont (Loop-bound)
      30067   Berwyn (95th-bound)
      30066   Berwyn (Howard-bound)
      30268   Bryn Mawr (95th-bound)
      30267   Bryn Mawr (Howard-bound)
      30087   California (54th/Cermak-bound)
      30086   California (Loop-bound)
      30112   California/Milwaukee (Forest Pk-bound)
      30265   California (63rd-bound)
      30266   California (Harlem-bound)
      30111   California/Milwaukee (O'Hare-bound)
      30242   Central-Evanston (Howard-Loop-bound)
      30241   Central-Evanston (Linden-bound)
      30054   Central (63rd-bound)
      30055   Central (Harlem-bound)
      30152   Central Park (54th/Cermak-bound)
      30151   Central Park (Loop-bound)
      30194   Cermak-Chinatown (95th-bound)
      30193   Cermak-Chinatown (Howard-bound)
      30272   Chicago/Milwaukee (Forest Pk-bound)
      30271   Chicago/Milwaukee (O'Hare-bound)
      30137   Chicago/Franklin (Kimball-Linden-bound)
      30138   Chicago/Franklin (Loop-bound)
      30280   Chicago/State (95th-bound)
      30279   Chicago/State (Howard-bound)
      30083   Cicero (54th/Cermak-bound)
      30082   Cicero (Loop-bound)
      30188   Cicero (Forest Pk-bound)
      30187   Cicero (O'Hare-bound)
      30094   Cicero (63rd-bound)
      30009   Cicero (Harlem-bound)
      30122   Clark/Division (95th-bound)
      30121   Clark/Division (Howard-bound)
      30074   Clark/Lake (Inner Loop)
      30075   Clark/Lake (Outer Loop)
      30374   Clark/Lake (Forest Pk-bound)
      30375   Clark/Lake (O'Hare-bound)
      30085   Clinton (Forest Pk-bound)
      30084   Clinton (O'Hare-bound)
      30222   Clinton (Harlem-54th/Cermak-bound)
      30221   Clinton (Loop-63rd-bound)
      30291   Conservatory (63rd-bound)
      30292   Conservatory (Harlem-bound)
      30139   Cottage Grove (Terminal arrival)
      30140   East 63rd-Cottage Grove (Harlem-bound)
      30045   Cumberland (Forest Pk-bound)
      30044   Cumberland (O'Hare-bound)
      30041   Damen (54th/Cermak-bound)
      30040   Damen (Loop-bound)
      30116   Damen/Milwaukee (Forest Pk-bound)
      30115   Damen/Milwaukee (O'Hare-bound)
      30018   Damen (Kimball-bound)
      30019   Damen (Loop-bound)
      30011   Davis (Howard-Loop-bound)
      30010   Davis (Linden-bound)
      30134   Dempster (Howard-Loop-bound)
      30133   Dempster (Linden-bound)
      30103   Diversey (Kimball-Linden-bound)
      30104   Diversey (Loop-bound)
      30063   Division/Milwaukee (Forest Pk-bound)
      30062   Division/Milwaukee (O'Hare-bound)
      30076   Forest Park (O'Hare-bound)
      30077   Forest Park (Terminal Arrival)
      30102   Foster (Howard-Loop-bound)
      30101   Foster (Linden-bound)
      30167   Francisco (Kimball-bound)
      30168   Francisco (Loop-bound)
      30234   Fullerton (95th-bound)
      30233   Fullerton (Howard-bound)
      30235   Fullerton (Kimball-Linden-bound)
      30236   Fullerton (Loop-bound)
      30100   Garfield (63rd-bound)
      30099   Garfield (Harlem-bound)
      30224   Garfield-Dan Ryan (95th-bound)
      30223   Garfield-Dan Ryan (Howard-bound)
      30096   Grand/Milwaukee (Forest Pk-bound)
      30095   Grand/Milwaukee (O'Hare-bound)
      30065   Grand/State (95th-bound)
      30064   Grand/State (Howard-bound)
      30148   Granville (95th-bound)
      30147   Granville (Howard-bound)
      30215   Halsted (Loop-bound)
      30216   Halsted (Midway-bound)
      30184   Halsted/63rd (Ashland-bound)
      30183   Halsted/63rd (Harlem-bound)
      30190   Harlem (Forest Pk-bound)
      30189   Harlem (O'Hare-bound)
      30146   Harlem (O'Hare Branch) (Forest Pk-bound)
      30145   Harlem (O'Hare Branch) (O'Hare-bound)
      30004   Harlem (Terminal arrival)
      30003   Harlem (63rd-bound)
      30166   Library (Inner Loop)
      30165   Library (Outer Loop)
      30286   Harrison (95th-bound)
      30285   Harrison (Howard-bound)
      30175   Howard (NB) (Linden, Skokie-bound)
      30176   Howard (Terminal arrival)
      30173   Howard (Terminal arrival)
      30174   Howard (95th-Bound)
      30158   Illinois Medical District (Forest Pk-bound)
      30157   Illinois Medical District (O'Hare-bound)
      30059   Indiana (63rd-bound)
      30058   Indiana (Harlem-bound)
      30108   Irving Park (O'Hare Branch) (Forest Pk-bound)
      30107   Irving Park (O'Hare Branch) (O'Hare-bound)
      30281   Irving Park (Kimball-bound)
      30282   Irving Park (Loop-bound)
      30015   Jackson/Dearborn (Forest Pk-bound)
      30014   Jackson/Dearborn (O'Hare-bound)
      30110   Jackson/State (95th-bound)
      30109   Jackson/State (Howard-bound)
      30228   Jarvis (95th-bound)
      30227   Jarvis (Howard-bound)
      30248   Jefferson Park (Forest Pk-bound)
      30247   Jefferson Park (O'Hare-bound)
      30219   Kedzie (Loop-bound)
      30220   Kedzie (Midway-bound)
      30202   Kedzie (54th/Cermak-bound)
      30201   Kedzie (Loop-bound)
      30225   Kedzie (Kimball-bound)
      30226   Kedzie (Loop-bound)
      30207   Kedzie (63rd-bound)
      30208   Kedzie (Harlem-bound)
      30049   Kedzie-Homan (Forest Pk-bound)
      30048   Kedzie-Homan (O'Hare-bound)
      30250   Kimball (Loop-bound)
      30249   Kimball (Terminal arrival)
      30217   King Drive (Cottage Grove-bound)
      30218   King Drive (Harlem-bound)
      30118   Kostner (54th/Cermak-bound)
      30117   Kostner (Loop-bound)
      30290   Lake/State (95th-bound)
      30289   Lake/State (Howard-bound)
      30135   Laramie (63rd-bound)
      30136   Laramie (Harlem-bound)
      30262   LaSalle (Forest Pk-bound)
      30261   LaSalle (O'Hare-bound)
      30031   LaSalle/Van Buren (Inner Loop)
      30030   LaSalle/Van Buren (Outer Loop)
      30150   Lawrence (95th-bound)
      30149   Lawrence (Howard-bound)
      30204   Linden (Howard-Loop-bound)
      30203   Linden (Linden-bound)
      30198   Logan Square (Forest Pk-bound)
      30197   Logan Square (O'Hare-bound)
      30252   Loyola (95th-bound)
      30251   Loyola (Howard-bound)
      30124   Madison/Wabash (Inner Loop)
      30123   Madison/Wabash (Outer Loop)
      30053   Main (Howard-Loop-bound)
      30052   Main (Linden-bound)
      30090   Merchandise Mart (Kimball-Linden-bound)
      30091   Merchandise Mart (Loop-bound)
      30182   Midway (Arrival)
      30181   Midway (Loop-bound)
      30154   Monroe/Dearborn (Forest Pk-bound)
      30153   Monroe/Dearborn (O'Hare-bound)
      30212   Monroe/State (95th-bound)
      30211   Monroe/State (Howard-bound)
      30260   Montrose (Forest Pk-bound)
      30259   Montrose (O'Hare-bound)
      30287   Montrose (Kimball-bound)
      30288   Montrose (Loop-bound)
      30296   Morgan (Harlem-54th/Cermak-bound)
      30295   Morgan (Loop-63rd-bound)
      30021   Morse (95th-bound)
      30020   Morse (Howard-bound)
      30126   North/Clybourn (95th-bound)
      30125   North/Clybourn (Howard-bound)
      30079   Noyes (Howard-Loop-bound)
      30078   Noyes (Linden-bound)
      30035   Oak Park (Forest Pk-bound)
      30034   Oak Park (O'Hare-bound)
      30263   Oak Park (63rd-bound)
      30264   Oak Park (Harlem-bound)
      30297   Oakton (Dempster-Skokie-bound)
      30298   Oakton (Howard-bound)
      30172   O'Hare Airport (Forest Pk-bound)
      30171   O'Hare Airport (Terminal Arrival)
      30253   Paulina (Kimball-bound)
      30254   Paulina (Loop-bound)
      30200   Polk (54th/Cermak-bound)
      30199   Polk (Loop-bound)
      30185   Pulaski (Loop-bound)
      30186   Pulaski (Midway-bound)
      30029   Pulaski (54th/Cermak-bound)
      30028   Pulaski (Loop-bound)
      30180   Pulaski (Forest Pk-bound)
      30179   Pulaski (O'Hare-bound)
      30005   Pulaski (63rd-bound)
      30006   Pulaski (Harlem-bound)
      30007   Quincy/Wells (Inner Loop)
      30008   Quincy/Wells (Outer Loop)
      30093   Racine (Forest Pk-bound)
      30092   Racine (O'Hare-bound)
      30039   Randolph/Wabash (Inner Loop)
      30038   Randolph/Wabash (Outer Loop)
      30119   Ridgeland (63rd-bound)
      30120   Ridgeland (Harlem-bound)
      30195   Rockwell (Kimball-bound)
      30196   Rockwell (Loop-bound)
      30080   Roosevelt/Wabash (Loop-Harlem-bound)
      30081   Roosevelt/Wabash (Midway-63rd-bound)
      30269   Roosevelt/State (Howard-bound)
      30270   Roosevelt/State (Howard-bound)
      30160   Rosemont (Forest Pk-bound)
      30159   Rosemont (O'Hare-bound)
      30155   Sedgwick (Kimball-Linden-bound)
      30156   Sedgwick (Loop-bound)
      30017   Sheridan (95th-bound)
      30016   Sheridan (Howard-bound)
      30293   Sheridan (Howard-Linden-bound)
      30294   Sheridan (Loop-bound)
      30026   Skokie (Arrival)
      30027   Skokie (Howard-bound)
      30164   South Blvd (Howard-Loop-bound)
      30163   South Blvd (Linden-bound)
      30070   Southport (Kimball-bound)
      30071   Southport (Loop-bound)
      30037   Sox-35th (95th-bound)
      30036   Sox-35th (Howard-bound)
      30050   State/Lake (Inner Loop)
      30051   State/Lake (Outer Loop)
      30170   Thorndale (95th-bound)
      30169   Thorndale (Howard-bound)
      30069   UIC-Halsted (Forest Pk-bound)
      30068   UIC-Halsted (O'Hare-bound)
      30073   Washington/Dearborn (Forest Pk-bound)
      30072   Washington/Dearborn (O'Hare-bound)
      30141   Washington/Wells (Inner Loop)
      30142   Washington/Wells (Outer Loop)
      30231   Wellington (Kimball-Linden-bound)
      30232   Wellington (Loop-bound)
      30060   Western (Loop-bound)
      30061   Western (Midway-bound)
      30144   Western (54th/Cermak-bound)
      30143   Western (Loop-bound)
      30043   Western (Forest Pk-bound)
      30042   Western (O'Hare-bound)
      30130   Western/Milwaukee (Forest Pk-bound)
      30129   Western/Milwaukee (O'Hare-bound)
      30283   Western (Kimball-bound)
      30284   Western (Loop-bound)
      30106   Wilson (95th-bound)
      30105   Wilson (Howard-bound)

### Resources:

* [CTA Train Tracker API Key Application](http://www.transitchicago.com/developers/traintrackerapply.aspx)


